Bug 181298 - Upstream version of sqlite3 fixes critical threading bugs
Upstream version of sqlite3 fixes critical threading bugs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-13 02:06 EST by Bojan Smojver
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 14:45:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2006-02-13 02:06:59 EST
Description of problem:

Upstream version of sqlite3, 3.3.4, fixes a possible threading deadlock. It also
features the new --enable-threads-override-locks ./configure option, which will
eliminate two thread spinup in each new process that uses sqlite3 on platforms
that support such behaviour (FC5 does). Please rebuild.


Version-Release number of selected component (if applicable):
3.3.3-1.1
Comment 1 Bojan Smojver 2006-04-19 17:40:58 EDT
Just noticed that the spec file claims:

* Tue Jan 24 2006 Paul Nasrat <pnasrat@redhat.com> - 3.2.8-1
- Add --enable-threadsafe (Nicholas Miell)
- Update to 3.2.8

However, the configure command is not run with --enable-threadsafe. It looks
like this:

%configure %{!?with_tcl:--disable-tcl}

Where is should probably be:

%configure %{!?with_tcl:--disable-tcl} \
           --enable-threadsafe \
           --enable-threads-override-locks

If sqlite package is to have proper thread support.
Comment 2 Bojan Smojver 2006-06-06 20:08:03 EDT
3.3.6 now available.

Note You need to log in before you can comment on or make changes to this bug.